__This repo is deprecated: [The idea of moving to a static website was proposed and rejected in Loomio](https://www.loomio.org/d/FnHRkxCO)__

# CoTech Website

## Introduction

This is an attempt at porting the current Wordpress version of the [CoTech Website][] to be statically generated using [Jekyll][] and served on [Github Pages][].

I've mostly done this by capturing (28 Jun & 01 Jul) the rendered HTML and associated assets and then making the HTML "dynamic" using [Liquid][] tags where appropriate. I decided to do it this way rather trying to do it from scratch based on the [existing source code][cotech-website-repo], because it gave me more confidence that I had captured everything generated by Wordpress.

I've stripped out a bunch of Wordpress-related boiler-plate code which I don't think is needed and I've converted the top-level static content pages from HTML to [Markdown][] to make them easier to maintain.

## Work left to complete port

* Add data & assets for all co-ops, services, technologies & clients - I've only added a few so far
* Re-add Piwik tracking code - I removed this to avoid confusing the metrics for the current website
* Remove instances of `{{ site.github.url }}` - only necessary while hosting at non-root path
* Double-check paths haven't changed
* Double-check I haven't missed anything, e.g. are [these Wordpress plugins][cotech-website-wp-plugins] really not used

## Tidying up / improvements

* Rationalise assets directories - `assets/css`, `assets/js` & `assets/img` seems to be a standard pattern
* Use SCSS source for CSS e.g. [web/app/themes/coop-tech-oowp-theme/assets/scss/*.scss][cotech-website-scss-directory]
* Automatic geo-coding of co-op addresses - currently latitude & longitude have to be entered manually
* Reduce duplication in Mapbox-related JavaScript
* Fix bug in Mapbox-related JavaScript on service/technology pages - exists on current website

## Further work

* Add a sitemap - the current site doesn't have one
* Add a blog with RSS feed

[CoTech Website]: https://www.coops.tech/
[Jekyll]: https://jekyllrb.com/
[Github Pages]: https://pages.github.com/
[cotech-website-repo]: https://github.com/cotech/website/
[Markdown]: https://daringfireball.net/projects/markdown/
[Liquid]: https://shopify.github.io/liquid/
[cotech-website-scss-directory]: https://github.com/cotech/website/tree/master/web/app/themes/coop-tech-oowp-theme/assets/scss
[cotech-website-wp-plugins]: https://github.com/cotech/website/tree/master/web/app/plugins
